XHTMLEmitter
Keywords: com.icl.saxon.output.XHTMLEmitter class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.icl.saxon.output
Class XHTMLEmitter

    java.lang.Object
      com.icl.saxon.output.Emitter
          com.icl.saxon.output.XMLEmitter
              com.icl.saxon.output.XHTMLEmitter

All Implemented Interfaces:
  Result

public class XHTMLEmitter
extends XMLEmitter

XHTMLEmitter is an Emitter that generates XHTML output. It is the same as XMLEmitter except that it follows the legacy HTML browser compatibility rules: for example, generating empty elements such as
, and using

for empty paragraphs rather than

Field Summary

Fields inherited from class com.icl.saxon.output.XMLEmitter
`characterSet, declarationIsWritten, empty, escaping, lastDisplayName, lastNameCode, lastPrefix, lastURI, openStartTag, preferHex`

Fields inherited from class com.icl.saxon.output.Emitter
`locator, namePool, outputProperties, outputStream, systemId, writer`

Fields inherited from interface javax.xml.transform.Result
`PI_DISABLE_OUTPUT_ESCAPING, PI_ENABLE_OUTPUT_ESCAPING`

Constructor Summary
`XHTMLEmitter()`

Method Summary
`protected java.lang.String` | `emptyElementTagCloser(int nameCode)` Close an empty element tag.

Methods inherited from class com.icl.saxon.output.XMLEmitter
`characters, closeStartTag, comment, endDocument, endElement, outputCharacterReference, processingInstruction, setDocumentLocator, setEscaping, setOutputProperties, setResult, setUnparsedEntity, startDocument, startElement, testCharacters, testCharacters, writeAttribute, writeDeclaration, writeDocType, writeEscape`

Methods inherited from class com.icl.saxon.output.Emitter
`getNamePool, getOutputProperties, getOutputStream, getSystemId, getWriter, makeEmitter, setNamePool, setOutputStream, setSystemId, setWriter, usesWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XHTMLEmitter

    public XHTMLEmitter()

Method Detail

### emptyElementTagCloser

    protected java.lang.String emptyElementTagCloser(int nameCode)

  Close an empty element tag.

  Overrides:
    `emptyElementTagCloser` in class `XMLEmitter`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD